Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage.grid
Class ImageGridCoverageWriter

    java.lang.Object
      org.deegree.model.coverage.grid.AbstractGridCoverageWriter
          org.deegree.model.coverage.grid.ImageGridCoverageWriter

All Implemented Interfaces:
  GridCoverageWriter

    public class ImageGridCoverageWriter

extends AbstractGridCoverageWriter

This class encapsulates functionality for writing a `GridCoverage` as a GeoTIFF to a defined destination. Ths destination will be given as an `OutputStream`. The current implementation is limited to support `ImageGridCoverage`s to be written as GeoTIFF.

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.model.coverage.grid.AbstractGridCoverageWriter
`destination, format, metadata`

Constructor Summary
`ImageGridCoverageWriter(Object destination, Map<String,Object> metadata, String[] subNames, String currentSubname, Format format)`

Method Summary
`void` | `dispose()` Allows any resources held by this object to be released.
`void` | `write(GridCoverage coverage, GeneralParameterValueIm[] parameters)` Writes the specified grid coverage.

Methods inherited from class org.deegree.model.coverage.grid.AbstractGridCoverageWriter
`getCurrentSubname, getDestination, getFormat, getMetadataNames, getMetadataValue, listSubNames, setCurrentSubname, setMetadataValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageGridCoverageWriter

    public ImageGridCoverageWriter(Object destination,
                                   Map<String,Object> metadata,
                                   String[] subNames,
                                   String currentSubname,
                                   Format format)

Parameters:
  `destination` -
  `metadata` -
  `subNames` -
  `currentSubname` -
  `format` -

Method Detail

### write

    public void write(GridCoverage coverage,
                      GeneralParameterValueIm[] parameters)
               throws InvalidParameterNameException,
                      InvalidParameterValueException,
                      ParameterNotFoundException,
                      IOException

  Writes the specified grid coverage.

  Parameters:
    `coverage` - The grid coverage to write.
    `parameters` - An optional set of parameters. Should be any or all of the parameters returned by "org.opengis.coverage.grid.Format#getWriteParameters".
  Throws:
    `InvalidParameterNameException` - if a parameter in `parameters` doesn't have a recognized name.
    `InvalidParameterValueException` - if a parameter in `parameters` doesn't have a valid value.
    `ParameterNotFoundException` - if a parameter was required for the operation but was not provided in the `parameters` list.
    `IOException` - if the export failed for some other input/output reason, including `IIOException` if an error was thrown by the underlying image library.

### dispose

    public void dispose()
                 throws IOException

  Allows any resources held by this object to be released. The result of calling any other method subsequent to a call to this method is undefined. It is important for applications to call this method when they know they will no longer be using this `GridCoverageWriter`. Otherwise, the writer may continue to hold on to resources indefinitely.

  Throws:
    `IOException` - if an error occured while disposing resources (for example while flushing data and closing a file).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org